Automated Build Generator - Bug #1854
rci-lwr does not resolve dependency to kdl
04/23/2014 11:53 AM - J. Wienke

Status: Resolved Start date: 04/23/2014
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.2

Description

Associated revisions

Revision 33459ccf - 04/25/2014 02:40 PM - J. Moringen
Convert CMake dependencies to lower-case in src/analysis/cmake.lisp
fixes #1854
- src/analysis/cmake.lisp (analyze pathname eqgl cmake): convert names of
provided and required CMake dependencies to lower-case
Revision 01cc97ff - 04/27/2014 12:29 PM - J. Moringen
Fix required CMake dependencies in src/analysis/cmake.lisp
refs #1854
The problem with 33459cc is that required CMake dependencies have to be
used to generate the -D<package>_DIR commandline options. Converting
all names to lower case breaks this.
Instead, have CMake packages provide both variants of their names.
- src/analysis/cmake.lisp (analyze pathname eql :cmake): do not
convert names of required CMake dependencies to lower case

- src/project/aspects.lisp (define-aspect cmake/unix): find config files
of the form NAMEConfig.cmake and NAME-LOWER-CASE-config.cmake

History

#1 - 04/24/2014 01:51 AM - J. Moringen
- Status changed from New to Feedback

| do not understand the title (and there is no description). Please provide more information.

#2 - 04/24/2014 01:51 AM - J. Moringen
- Assignee changed from J. Moringen to J. Wienke

#3 - 04/24/2014 08:49 AM - J. Wienke
- Assignee changed from J. Wienke to J. Moringen

The automatic analysis of that project does not find the dependency an KDL, even though CMake searches for KDL.

#4 - 04/24/2014 08:59 AM - J. Moringen

Can you point me to responsible CMake file? | cannot find it:

$ pwd
/tmp/liblwr-rave
$ find . -exec grep -ie 'kdl' {} \;
<Translation>0.0 0.0 0.192</Translation> <!-- KDL -->
<Translation>0.0 0.0 0.192</Translation> <!-- KDL -->
<Translation>0.0 0.0 0.192</Translation> <!-- KDL -->

<l--KDL -->
<l--KDL -->
<l--KDL -->
<l--KDL -->
<Translation>0.0 0.0 0.192</Translation> <!-- KDL -->
<l--KDL -->
<l--KDL -->

#5 - 04/24/2014 08:59 AM - J. Moringen

Sorry, wrong "module”.

#6 - 04/24/2014 09:02 AM - J. Moringen

Hm, that may be the right repository after all. | extracted the following repository information from projects/rci-lwr-rave.project

"repository": "https://code.cor-lab.org/svn/rcilwr"
"branches": [ "trunk" ]
"sub-directory": "liblwr-rave"

and checked out the URL https://code.cor-lab.org/svn/rcilwr/trunk/liblwr-rave.

#7 - 04/24/2014 10:04 AM - J. Wienke
- Subject changed from rci-lwr-rave does not resolve dependency to kdl to rci-lwr does not resolve dependency to kdl

Sorry, the original project was rci-lwr without rave suffix.

#8 - 04/24/2014 10:39 AM - J. Wienke
https://code.cor-lab.org/svn/rcilwr/trunk/liblwr-rave

Despite being unable to parse the config of KDL correctly cause of evil CMake logic by the KDL developers, the matching rules for project names in
CMake are not reflected correctly. Any project name also matches with the lower-case version of it. In our case, the downstream project searches for
Orocos-KDL but the upstream project provides a orocos-kdl-config.cmake.

The rule should be to always match lower-case names.

#9 - 04/25/2014 12:54 PM - J. Moringen

- Target version set to 0.2

#10 - 04/25/2014 03:10 PM - J. Moringen

- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:33459ccf061e592550d76ad5fc935f1f3d60e921.
